org.eclipse.emf.facet.efacet.core

## Interface IFacetActions

    public interface IFacetActions

This interface contains methods to create `FacetSet`s.

Since:
  0.3
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IFacetActions` `INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `saveFacetSet(FacetSet facetSet, IFile file)` Add the given facetSet to the given facetSet model file, which will be created

### Field Detail

#### INSTANCE

    static final IFacetActions INSTANCE

### Method Detail

#### saveFacetSet

    void saveFacetSet(FacetSet facetSet,
                      IFile file)
               throws java.io.IOException,
                      InvalidFacetSetException

Add the given facetSet to the given facetSet model file, which will be created

Parameters:
  `facetSet` - the facetSet to be created. Cannot be `null`
  `file` - the new file in which the facetSet has to be created. Cannot be `null`, and cannot already exist
Throws:
  `java.io.IOException`
  `InvalidFacetSetException`